package co.id.keda87.androsqlite;

import android.app.Activity;
import android.os.Bundle;
import android.widget.ListView;
import co.id.keda87.androsqlite.adapter.ContactAdapter;
import co.id.keda87.androsqlite.database.DatabaseHandler;
import co.id.keda87.androsqlite.model.Contact;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Keda87
 * Date: 11/3/13
 * Time: 8:48 PM
 */
public class ViewContactActivity extends Activity {

    private ListView listview;
    private List<Contact> listContacts;
    private DatabaseHandler service;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.view_contact_activity);

        //create instance
        this.service = new DatabaseHandler(this);
        this.listContacts = service.getAllContacts();
        this.listview = (ListView) findViewById(R.id.lv_daftar_kontak);
        this.listview.setAdapter(new ContactAdapter(this, this.listContacts));

    }
}
